EDIT - feature request #7215

Implement pro parte misapplied names in TaxEditor
01/25/2018 09:26 AM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Pro parte MANs have been implemented in cdmlib (#7158). Now we also need them in TaxEditor.

We need:

Maybe the easiest solution is to simply have a dropdown field in Details View to choose the relationship type from. Either "misapplied

name" or "pro parte misapplied name". Later we will also add "partial misapplied name"

In the Nameeditor we will need to add p.p. to the end (after sensu reference). Maybe we could also change the icon, but not

necessarily needed.

Related issues:

Related to EDIT - feature request #7158: Add pro parte misapplied name to the... Feedback
Related to EDIT - feature request #6390: Details view for misapplied names Closed
Related to EDIT - bug #6962: Finally remaining issues for misapplied name det... New
Related to EDIT - feature request #7335: Allow editing of pro parte and parti... Closed
Related to EDIT - feature request #7336: Implement partial misapplied names ... Closed
Related to EDIT - feature request #7427: Implement pro parte synonyms in TaxE... Duplicate
Related to EDIT - feature request #7761: Invalid designations should be displ... Closed

Associated revisions

Revision 0c710462 - 01/25/2018 10:23 AM - Katja Luther

ref #7215: add boolean parameter to getMisappliedName() in editor

Revision 3a9975f6 - 02/16/2018 02:55 PM - Katja Luther

ref #7215: add combobox for selecting misapplied name type

Revision a3e1e5d7 - 02/19/2018 10:48 AM - Katja Luther
ref #7215: fix selection of type

Revision 81134409 - 02/19/2018 11:15 AM - Katja Luther
ref #7215: add p.p. to pro parte MAN in name editor

Revision 47230e63 - 02/19/2018 11:57 AM - Katja Luther

ref #7215: check for all misapplied names in details element

Revision e10b6c13 - 02/19/2018 12:06 PM - Katja Luther
ref #7215: minor

History

#1 - 01/25/2018 09:43 AM - Andreas Miiller

- Related to feature request #7158: Add pro parte misapplied name to the concept relationship types added

#2 - 01/25/2018 09:44 AM - Andreas Miiller

- Related to feature request #6390: Details view for misapplied names added
#3 - 01/25/2018 09:45 AM - Andreas Miiller

- Related to bug #6962: Finally remaining issues for misapplied name details view added

#4 - 01/31/2018 12:22 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#5 - 02/15/2018 03:24 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#6 - 02/16/2018 02:13 PM - Katja Luther

- Status changed from New to In Progress

#7 - 02/16/2018 02:56 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please have a look, if this looks like it should.

#8 - 02/19/2018 10:49 AM - Katja Luther

- Assignee changed from Andreas Miiller to Katja Luther

#9 - 02/19/2018 11:16 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#10 - 03/28/2018 02:24 PM - Andreas Miiller

- Related to feature request #7335: Allow editing of pro parte and partial synonyms in the same way as misapplied names in the NameEditor added

#11 - 03/28/2018 02:32 PM - Andreas Miiller

- Related to feature request #7336: Implement partial misapplied names in TaxEditor added

#12 - 04/27/2018 10:58 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 100

works fine

#13 - 05/17/2018 04:33 PM - Katja Luther

- Related to feature request #7427: Implement pro parte synonyms in TaxEditor added

#14 - 02/01/2019 02:42 PM - Andreas Miiller

- Related to feature request #7761: Invalid designations should be displayed like misapplied names in name editor added
